Package org.eclipse.microprofile.fault.tolerance.tck.metrics.util

# Class MetricRegistryProvider

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.metrics.util.MetricRegistryProvider

@ApplicationScoped public class MetricRegistryProvider extends Object
Registers a MetricRegistryProxy bean for the BASE scope

## Constructor Summary

Constructors
Constructor
Description
`MetricRegistryProvider()`

## Method Summary

Modifier and Type
Method
Description
`MetricRegistryProxy`
`getBaseRegistry()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MetricRegistryProvider

public MetricRegistryProvider()

## Method Details

### getBaseRegistry

@Produces @RegistryType(type=BASE) public MetricRegistryProxy getBaseRegistry()